/* LowerToUpperCase.h */

#define	kProgressAdvertisement 128



//prototypes
pascal ComponentResult DoGetFileTranslationList(ComponentInstance self, 
					FileTranslationListHandle translationList);
pascal ComponentResult DoIdentifyFile(ComponentInstance self, const FSSpec* theDoc,
                     FileType* docKind);
pascal ComponentResult DoTranslateFile(ComponentInstance self, TranslationRefNum progressRefNum,
											const FSSpec* srcDoc, FileType srcType, long srcTypeHint, 
											const FSSpec* dstDoc, FileType dstType, long dstTypeHint);
pascal ComponentResult DoGetScrapTranslationList(ComponentInstance self, ScrapTranslationListHandle list);

pascal ComponentResult DoIdentifyScrap(ComponentInstance self, const void* dataPtr, Size dataLength, ScrapType* dataFormat);

pascal ComponentResult DoTranslateScrap(ComponentInstance self, TranslationRefNum progressRefNum,
										const void* srcDataPtr, Size srcDataLength, ScrapType srcType, long srcTypeHint,
										Handle dstData, ScrapType dstType, long dstTypeHint);
pascal ComponentResult DoGetTranslatedFilename(ComponentInstance 	self,
											   FileType				dstType,
											   long					dstTypeHint,
											   FSSpec* 				theDocument);
pascal	OSErr	CopyFork(FSSpec srcSpec, short srcRefNum,
						 short dstRefNum,
						 void *copyBufferPtr,
						 long copyBufferSize,TranslationRefNum progressRefNum);

static	OSErr	CountTheBlocks(short srcVRefNum,
									   long srcDirID,
									   ConstStr255Param srcName,long myBlockSize,
									   unsigned short *srcDataBlks);